Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.testng.xml
Class XmlClass

    java.lang.Object
      org.testng.xml.XmlClass

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class XmlClass

extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

This class describes the tag in testng.xml.

Author:
  Cedric Beust
See Also:
  Serialized Form

Constructor Summary
`XmlClass(java.lang.Class className)`
`XmlClass(java.lang.Class className, java.lang.Boolean declaredClass)`
`XmlClass(java.lang.String name)`
`XmlClass(java.lang.String name, java.lang.Boolean declaredClass)`

Method Summary
`java.lang.Object` | `clone()` Clone an XmlClass by copying all its components.
`java.lang.Boolean` | `getDeclaredClass()`
`java.util.List<java.lang.String>` | `getExcludedMethods()`
`java.util.List<XmlInclude>` | `getIncludedMethods()`
`java.lang.String` | `getName()`
`java.lang.Class` | `getSupportClass()`
`void` | `setClass(java.lang.Class className)`
`void` | `setDeclaredClass(java.lang.Boolean declaredClass)`
`void` | `setExcludedMethods(java.util.List<java.lang.String> excludedMethods)`
`void` | `setIncludedMethods(java.util.List<XmlInclude> includedMethods)`
`void` | `setName(java.lang.String name)`
`java.lang.String` | `toString()`
`java.lang.String` | `toXml(java.lang.String indent)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlClass

    public XmlClass(java.lang.String name)

### XmlClass

    public XmlClass(java.lang.Class className)

### XmlClass

    public XmlClass(java.lang.String name,
                    java.lang.Boolean declaredClass)

### XmlClass

    public XmlClass(java.lang.Class className,
                    java.lang.Boolean declaredClass)

Method Detail

### getSupportClass

    public java.lang.Class getSupportClass()

  Returns:
    Returns the className.

### setClass

    public void setClass(java.lang.Class className)

  Parameters:
    `className` - The className to set.

### getExcludedMethods

    public java.util.List<java.lang.String> getExcludedMethods()

  Returns:
    Returns the excludedMethods.

### setExcludedMethods

    public void setExcludedMethods(java.util.List<java.lang.String> excludedMethods)

  Parameters:
    `excludedMethods` - The excludedMethods to set.

### getIncludedMethods

    public java.util.List<XmlInclude> getIncludedMethods()

  Returns:
    Returns the includedMethods.

### setIncludedMethods

    public void setIncludedMethods(java.util.List<XmlInclude> includedMethods)

  Parameters:
    `includedMethods` - The includedMethods to set.

### getName

    public java.lang.String getName()

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - The name to set.

### getDeclaredClass

    public java.lang.Boolean getDeclaredClass()

### setDeclaredClass

    public void setDeclaredClass(java.lang.Boolean declaredClass)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toXml

    public java.lang.String toXml(java.lang.String indent)

### clone

    public java.lang.Object clone()

  Clone an XmlClass by copying all its components.

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD